Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1576558 - systemd-logind coredump after upgrade to Fedora 28, no NIS logins possible
systemd-logind coredump after upgrade to Fedora 28, no NIS logins possible
Status: NEW
Product: Fedora
Classification: Fedora
Component: nss_nis (Show other bugs)
28
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Matej Mužila
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-09 14:16 EDT by RobbieTheK
Modified: 2018-09-20 06:08 EDT (History)
22 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample coredump (3.37 MB, application/octet-stream)
2018-05-09 14:16 EDT, RobbieTheK
no flags Details
bt from the attached coredump "1433991: sample coredump" (6.80 MB, text/plain)
2018-05-10 14:21 EDT, Zbigniew Jędrzejewski-Szmek
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1575297 None CLOSED No login possible for NIS users on fedora 28 2018-10-12 04:40 EDT
Github 7074 None None None 2018-05-10 16:44 EDT

  None (edit)
Description RobbieTheK 2018-05-09 14:16:40 EDT
Created attachment 1433991 [details]
sample coredump

systemd-logind-238-7.fc28.1.i386 is installed constantly core dumps:
May  9 13:57:55 curie abrt-dump-journal-core[796]: Failed to obtain all required information from journald
May  9 13:57:55 curie systemd[1]: systemd-logind.service: Main process exited, code=dumped, status=11/SEGV
May  9 13:57:55 curie systemd[1]: systemd-logind.service: Failed with result 'core-dump'.
May  9 13:57:55 curie systemd[1]: Failed to start Login Service.
May  9 13:57:55 curie systemd[1]: systemd-logind.service: Service has no hold-off time, scheduling restart.
May  9 13:57:55 curie systemd[1]: systemd-logind.service: Scheduled restart job, restart counter is at 5.
May  9 13:57:55 curie systemd[1]: Stopped Login Service.
May  9 13:57:55 curie systemd[1]: systemd-logind.service: Start request repeated too quickly.
May  9 13:57:55 curie systemd[1]: systemd-logind.service: Failed with result 'core-dump'.
May  9 13:57:55 curie systemd[1]: Failed to start Login Service.
May  9 13:57:56 curie systemd-coredump[1428]: Process 1420 (systemd-logind) of user 0 dumped core.#012#012Stack trace of thread 1420:#012#0  0x00000000b7b818ae _IO_file_doallocate (libc.so.6)#012#1  0x00000000b7b8fafd _IO_doallocbuf (libc.so.6)#012#2  0x00000000b7b8eb4c _IO_file_underflow@@GLIBC_2.1 (libc.so.6)#012#3  0x00000000b7b8fbac _IO_default_uflow (libc.so.6)#012#4  0x00000000b7b830f1 _IO_getline_info (libc.so.6)#012#5  0x00000000b7b8322e _IO_getline (libc.so.6)#012#6  0x00000000b7b8c477 fgets_unlocked (libc.so.6)#012#7  0x00000000b732a83a internal_getent (libnss_files.so.2)#012#8  0x00000000b732ab22 _nss_files_getservbyname_r (libnss_files.so.2)#012#9  0x00000000b7c14e6b getservbyname_r@@GLIBC_2.1.2 (libc.so.6)#012#10 0x00000000b7be5f24 gaih_inet_serv.isra.4 (libc.so.6)#012#11 0x00000000b7be7464 gaih_inet.constprop.7 (libc.so.6)#012#12 0x00000000b7be8690 getaddrinfo (libc.so.6)#012#13 0x00000000b72d7585 getclnthandle (libtirpc.so.3)#012#14 0x00000000b72d812e __rpcb_findaddr_timed (libtirpc.so.3)#012#15 0x00000000b72d01a7 clnt_tp_create_timed (libtirpc.so.3)#012#16 0x00000000b72d0373 clnt_create_timed (libtirpc.so.3)#012#17 0x00000000b72d06ea clnt_create (libtirpc.so.3)#012#18 0x00000000b7302292 yp_bind_client_create_v3 (libnsl.so.2)#012#19 0x00000000b73029b7 __yp_bind.part.1 (libnsl.so.2)#012#20 0x00000000b7302d2e do_ypcall (libnsl.so.2)#012#21 0x00000000b7302ec2 do_ypcall_tr (libnsl.so.2)#012#22 0x00000000b73038e9 yp_match (libnsl.so.2)#012#23 0x00000000b731c6f4 internal_gethostbyname2_r (libnss_nis.so.2)#012#24 0x00000000b7be7864 gaih_inet.constprop.7 (libc.so.6)#012#25 0x00000000b7be8690 getaddrinfo (libc.so.6)#012#26 0x00000000b72d7585 getclnthandle (libtirpc.so.3)#012#27 0x00000000b72d812e __rpcb_findaddr_timed (libtirpc.so.3)#012#28 0x00000000b72d01a7 clnt_tp_create_timed (libtirpc.so.3)#012#29 0x00000000b72d0373 clnt_create_timed (libtirpc.so.3)#012#30 0x00000000b72d06ea clnt_create (libtirpc.so.3)#012#31 0x00000000b7302292 yp_bind_client_create_v3 (libnsl.so.2)#012#32 0x00000000b73029b7 __yp_bind.part.1 (libnsl.so.2)#012#33 0x00000000b7302d2e do_ypcall (libnsl.so.2)#012#34 0x00000000b7302ec2 do_ypcall_tr (libnsl.so.2)#012#35 0x00000000b73038e9 yp_match (libnsl.so.2)#012#36 0x00000000b731c6f4 internal_gethostbyname2_r (libnss_nis.so.2)#012#37 0x00000000b7be7864 gaih_inet.constprop.7 (libc.so.6)#012#38 0x00000000b7be8690 getaddrinfo (libc.so.6)#012#39 0x00000000b72d7585 getclnthandle (libtirpc.so.3)#012#40 0x00000000b72d812e __rpcb_findaddr_timed (libtirpc.so.3)#012#41 0x00000000b72d01a7 clnt_tp_create_timed (libtirpc.so.3)#012#42 0x00000000b72d0373 clnt_create_timed (libtirpc.so.3)#012#43 0x00000000b72d06ea clnt_create (libtirpc.so.3)#012#44 0x00000000b7302292 yp_bind_client_create_v3 (libnsl.so.2)#012#45 0x00000000b73029b7 __yp_bind.part.1 (libnsl.so.2)#012#46 0x00000000b7302d2e do_ypcall (libnsl.so.2)#012#47 0x00000000b7302ec2 do_ypcall_tr (libnsl.so.2)#012#48 0x00000000b73038e9 yp_match (libnsl.so.2)#012#49 0x00000000b731c6f4 internal_gethostbyname2_r (libnss_nis.so.2)#012#50 0x00000000b7be7864 gaih_inet.constprop.7 (libc.so.6)#012#51 0x00000000b7be8690 getaddrinfo (libc.so.6)#012#52 0x00000000b72d7585 getclnthandle (libtirpc.so.3)#012#53 0x00000000b72d812e __rpcb_findaddr_timed (libtirpc.so.3)#012#54 0x00000000b72d01a7 clnt_tp_create_timed (libtirpc.so.3)#012#55 0x00000000b72d0373 clnt_create_timed (libtirpc.so.3)#012#56 0x00000000b72d06ea clnt_create (libtirpc.so.3)#012#57 0x00000000b7302292 yp_bind_client_create_v3 (libnsl.so.2)#012#58 0x00000000b73029b7 __yp_bind.part.1 (libnsl.so.2)#012#59 0x00000000b7302d2e do_ypcall (libnsl.so.2)#012#60 0x00000000b7302ec2 do_ypcall_tr (libnsl.so.2)#012#61 0x00000000b73038e9 yp_match (libnsl.so.2)#012#62 0x00000000b731c6f4 internal_gethostbyname2_r (libnss_nis.so.2)#012#63 0x00000000b7be7864 gaih_inet.constprop.7 (libc.so.6)

Here is a gdb attempt:
gdb /var/lib/systemd/coredump/core.systemd-logind.0.189aabe34955475b95f6fb4d210cb2f4.31995.1525882561000000
GNU gdb (GDB) Fedora 8.1-15.fc28
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
[New LWP 31995]
Reading symbols from /usr/lib/systemd/systemd-logind...Reading symbols from /usr/lib/debug/usr/lib/systemd/systemd-logind-238-7.fc28.1.i386.debug...done.
done.

warning: Ignoring non-absolute filename: <linux-gate.so.1>
Missing separate debuginfo for linux-gate.so.1
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/d0/f5a859278c2f297dca887f6a72597185cd16ae
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
Core was generated by `/usr/lib/systemd/systemd-logind'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0xb7b6b77d in _IO_vfprintf_internal (s=0xbf01a38c, format=0xb731559c "%s/%s.%u", ap=0xbf01a4d4 "\214U1\267 \320\061\267\003") at vfprintf.c:1244
1244	{
Missing separate debuginfos, use: dnf debuginfo-install iptables-libs-1.6.2-3.fc28.i686 krb5-libs-1.16.1-2.fc28.i686 libgcc-8.1.1-1.fc28.i686 libtirpc-1.0.3-1.rc1.fc28.i686 zlib-1.2.11-8.fc28.i686
(gdb) 


dnf debuginfo-install iptables-libs-1.6.2-3.fc28.i686 krb5-libs-1.16.1-2.fc28.i686 libgcc-8.1.1-1.fc28.i686 libtirpc-1.0.3-1.rc1.fc28.i686 zlib-1.2.11-8.fc28.i686

enabling updates-debuginfo repository
enabling fedora-debuginfo repository
enabling rpmfusion-free-updates-debuginfo repository
enabling rpmfusion-free-debuginfo repository
Last metadata expiration check: 0:14:03 ago on Wed May  9 14:02:01 2018.
Package iptables-libs-debuginfo-1.6.2-2.fc28.i686 is already installed, skipping.
Package krb5-libs-debuginfo-1.16-21.fc28.i686 is already installed, skipping.
Package libgcc-debuginfo-8.0.1-0.20.fc28.i686 is already installed, skipping.
Package libtirpc-debuginfo-1.0.3-1.fc28.i686 is already installed, skipping.
Package zlib-debuginfo-1.2.11-4.fc27.i686 is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!
Comment 1 RobbieTheK 2018-05-09 14:42:03 EDT
Stack trace of thread from journalctl -xe:
                                                              #0  0x00000000b7b9a77d vfprintf (libc.so.6)
                                                              #1  0x00000000b7c454ed __vsnprintf_chk (libc.so.6)
                                                              #2  0x00000000b7c45414 __snprintf_chk (libc.so.6)
                                                              #3  0x00000000b7338922 __yp_bind.part.1 (libnsl.so.2)
                                                              #4  0x00000000b7338d2e do_ypcall (libnsl.so.2)
                                                              #5  0x00000000b7338ec2 do_ypcall_tr (libnsl.so.2)
                                                              #6  0x00000000b73398e9 yp_match (libnsl.so.2)
                                                              #7  0x00000000b73526f4 internal_gethostbyname2_r (libnss_nis.so.2)
                                                              #8  0x00000000b7c1d864 gaih_inet.constprop.7 (libc.so.6)
                                                              #9  0x00000000b7c1e690 getaddrinfo (libc.so.6)
                                                              #10 0x00000000b730d585 getclnthandle (libtirpc.so.3)
                                                              #11 0x00000000b730e12e __rpcb_findaddr_timed (libtirpc.so.3)
                                                              #12 0x00000000b73061a7 clnt_tp_create_timed (libtirpc.so.3)
                                                              #13 0x00000000b7306373 clnt_create_timed (libtirpc.so.3)
                                                              #14 0x00000000b73066ea clnt_create (libtirpc.so.3)
                                                              #15 0x00000000b7338292 yp_bind_client_create_v3 (libnsl.so.2)
                                                              #16 0x00000000b73389b7 __yp_bind.part.1 (libnsl.so.2)
                                                              #17 0x00000000b7338d2e do_ypcall (libnsl.so.2)
                                                              #18 0x00000000b7338ec2 do_ypcall_tr (libnsl.so.2)
                                                              #19 0x00000000b73398e9 yp_match (libnsl.so.2)
                                                              #20 0x00000000b73526f4 internal_gethostbyname2_r (libnss_nis.so.2)
                                                              #21 0x00000000b7c1d864 gaih_inet.constprop.7 (libc.so.6)
                                                              #22 0x00000000b7c1e690 getaddrinfo (libc.so.6)
                                                              #23 0x00000000b730d585 getclnthandle (libtirpc.so.3)
                                                              #24 0x00000000b730e12e __rpcb_findaddr_timed (libtirpc.so.3)
                                                              #25 0x00000000b73061a7 clnt_tp_create_timed (libtirpc.so.3)
                                                              #26 0x00000000b7306373 clnt_create_timed (libtirpc.so.3)
                                                              #27 0x00000000b73066ea clnt_create (libtirpc.so.3)
                                                              #28 0x00000000b7338292 yp_bind_client_create_v3 (libnsl.so.2)
                                                              #29 0x00000000b73389b7 __yp_bind.part.1 (libnsl.so.2)
                                                              #30 0x00000000b7338d2e do_ypcall (libnsl.so.2)
                                                              #31 0x00000000b7338ec2 do_ypcall_tr (libnsl.so.2)
                                                              #32 0x00000000b73398e9 yp_match (libnsl.so.2)
                                                              #33 0x00000000b73526f4 internal_gethostbyname2_r (libnss_nis.so.2)
                                                              #34 0x00000000b7c1d864 gaih_inet.constprop.7 (libc.so.6)
                                                              #35 0x00000000b7c1e690 getaddrinfo (libc.so.6)
                                                              #36 0x00000000b730d585 getclnthandle (libtirpc.so.3)
                                                              #37 0x00000000b730e12e __rpcb_findaddr_timed (libtirpc.so.3)
                                                              #38 0x00000000b73061a7 clnt_tp_create_timed (libtirpc.so.3)
                                                              #39 0x00000000b7306373 clnt_create_timed (libtirpc.so.3)
                                                              #40 0x00000000b73066ea clnt_create (libtirpc.so.3)
                                                              #41 0x00000000b7338292 yp_bind_client_create_v3 (libnsl.so.2)
                                                              #42 0x00000000b73389b7 __yp_bind.part.1 (libnsl.so.2)
                                                              #43 0x00000000b7338d2e do_ypcall (libnsl.so.2)
                                                              #44 0x00000000b7338ec2 do_ypcall_tr (libnsl.so.2)
                                                              #45 0x00000000b73398e9 yp_match (libnsl.so.2)
                                                              #46 0x00000000b73526f4 internal_gethostbyname2_r (libnss_nis.so.2)
                                                              #47 0x00000000b7c1d864 gaih_inet.constprop.7 (libc.so.6)
                                                              #48 0x00000000b7c1e690 getaddrinfo (libc.so.6)
                                                              #49 0x00000000b730d585 getclnthandle (libtirpc.so.3)
                                                              #50 0x00000000b730e12e __rpcb_findaddr_timed (libtirpc.so.3)
                                                              #51 0x00000000b73061a7 clnt_tp_create_timed (libtirpc.so.3)
                                                              #52 0x00000000b7306373 clnt_create_timed (libtirpc.so.3)
                                                              #53 0x00000000b73066ea clnt_create (libtirpc.so.3)
                                                              #54 0x00000000b7338292 yp_bind_client_create_v3 (libnsl.so.2)
                                                              #55 0x00000000b73389b7 __yp_bind.part.1 (libnsl.so.2)
                                                              #56 0x00000000b7338d2e do_ypcall (libnsl.so.2)
                                                              #57 0x00000000b7338ec2 do_ypcall_tr (libnsl.so.2)
                                                              #58 0x00000000b73398e9 yp_match (libnsl.so.2)
                                                              #59 0x00000000b73526f4 internal_gethostbyname2_r (libnss_nis.so.2)
                                                              #60 0x00000000b7c1d864 gaih_inet.constprop.7 (libc.so.6)
                                                              #61 0x00000000b7c1e690 getaddrinfo (libc.so.6)
                                                              #62 0x00000000b730d585 getclnthandle (libtirpc.so.3)
                                                              #63 0x00000000b730e12e __rpcb_findaddr_timed (libtirpc.so.3)
Comment 2 Jan Synacek 2018-05-10 03:46:26 EDT
This looks like a problem with myhostname. Try removing "myhostname" from the "hosts:" line in /etc/nsswitch.conf if it changes anything.

# grep myhostname /etc/nsswitch.conf
hosts:      files mdns4_minimal [NOTFOUND=return] dns myhostname

Replace that line with:
hosts:      files mdns4_minimal [NOTFOUND=return] dns
Comment 3 RobbieTheK 2018-05-10 09:30:04 EDT
Looks like a different coredump now. Could it be something with NIS?

May 10 09:25:45 curie systemd-coredump[1996]: Process 1990 (systemd-logind) of user 0 dumped core.#012#012Stack trace of thread 1990:#012#0  0x00000000b7b73833 __find_specmb (libc.so.6)#012#1  0x00000000b7c1e4ed ___vsnprintf_chk (libc.so.6)#012#2  0x00000000b7c1e414 ___snprintf_chk (libc.so.6)#012#3  0x00000000b7311922 snprintf (libnsl.so.2)#012#4  0x00000000b7311d2e __yp_bind (libnsl.so.2)#012#5  0x00000000b7311ec2 do_ypcall_tr (libnsl.so.2)#012#6  0x00000000b73128e9 yp_match (libnsl.so.2)#012#7  0x00000000b732b6f4 internal_gethostbyname2_r (libnss_nis.so.2)#012#8  0x00000000b7bf6864 gaih_inet (libc.so.6)#012#9  0x00000000b7bf7690 __GI_getaddrinfo (libc.so.6)#012#10 0x00000000b72e6585 getclnthandle (libtirpc.so.3)#012#11 0x00000000b72e712e __rpcb_findaddr_timed (libtirpc.so.3)#012#12 0x00000000b72df1a7 clnt_tp_create_timed (libtirpc.so.3)#012#13 0x00000000b72df373 clnt_create_timed (libtirpc.so.3)#012#14 0x00000000b72df6ea clnt_create (libtirpc.so.3)#012#15 0x00000000b7311292 yp_bind_client_create_v3 (libnsl.so.2)#012#16 0x00000000b73119b7 yp_bind_file (libnsl.so.2)#012#17 0x00000000b7311d2e __yp_bind (libnsl.so.2)#012#18 0x00000000b7311ec2 do_ypcall_tr (libnsl.so.2)#012#19 0x00000000b73128e9 yp_match (libnsl.so.2)#012#20 0x00000000b732b6f4 internal_gethostbyname2_r (libnss_nis.so.2)#012#21 0x00000000b7bf6864 gaih_inet (libc.so.6)#012#22 0x00000000b7bf7690 __GI_getaddrinfo (libc.so.6)#012#23 0x00000000b72e6585 getclnthandle (libtirpc.so.3)#012#24 0x00000000b72e712e __rpcb_findaddr_timed (libtirpc.so.3)#012#25 0x00000000b72df1a7 clnt_tp_create_timed (libtirpc.so.3)#012#26 0x00000000b72df373 clnt_create_timed (libtirpc.so.3)#012#27 0x00000000b72df6ea clnt_create (libtirpc.so.3)#012#28 0x00000000b7311292 yp_bind_client_create_v3 (libnsl.so.2)#012#29 0x00000000b73119b7 yp_bind_file (libnsl.so.2)#012#30 0x00000000b7311d2e __yp_bind (libnsl.so.2)#012#31 0x00000000b7311ec2 do_ypcall_tr (libnsl.so.2)#012#32 0x00000000b73128e9 yp_match (libnsl.so.2)#012#33 0x00000000b732b6f4 internal_gethostbyname2_r (libnss_nis.so.2)#012#34 0x00000000b7bf6864 gaih_inet (libc.so.6)#012#35 0x00000000b7bf7690 __GI_getaddrinfo (libc.so.6)#012#36 0x00000000b72e6585 getclnthandle (libtirpc.so.3)#012#37 0x00000000b72e712e __rpcb_findaddr_timed (libtirpc.so.3)#012#38 0x00000000b72df1a7 clnt_tp_create_timed (libtirpc.so.3)#012#39 0x00000000b72df373 clnt_create_timed (libtirpc.so.3)#012#40 0x00000000b72df6ea clnt_create (libtirpc.so.3)#012#41 0x00000000b7311292 yp_bind_client_create_v3 (libnsl.so.2)#012#42 0x00000000b73119b7 yp_bind_file (libnsl.so.2)#012#43 0x00000000b7311d2e __yp_bind (libnsl.so.2)#012#44 0x00000000b7311ec2 do_ypcall_tr (libnsl.so.2)#012#45 0x00000000b73128e9 yp_match (libnsl.so.2)#012#46 0x00000000b732b6f4 internal_gethostbyname2_r (libnss_nis.so.2)#012#47 0x00000000b7bf6864 gaih_inet (libc.so.6)#012#48 0x00000000b7bf7690 __GI_getaddrinfo (libc.so.6)#012#49 0x00000000b72e6585 getclnthandle (libtirpc.so.3)#012#50 0x00000000b72e712e __rpcb_findaddr_timed (libtirpc.so.3)#012#51 0x00000000b72df1a7 clnt_tp_create_timed (libtirpc.so.3)#012#52 0x00000000b72df373 clnt_create_timed (libtirpc.so.3)#012#53 0x00000000b72df6ea clnt_create (libtirpc.so.3)#012#54 0x00000000b7311292 yp_bind_client_create_v3 (libnsl.so.2)#012#55 0x00000000b73119b7 yp_bind_file (libnsl.so.2)#012#56 0x00000000b7311d2e __yp_bind (libnsl.so.2)#012#57 0x00000000b7311ec2 do_ypcall_tr (libnsl.so.2)#012#58 0x00000000b73128e9 yp_match (libnsl.so.2)#012#59 0x00000000b732b6f4 internal_gethostbyname2_r (libnss_nis.so.2)#012#60 0x00000000b7bf6864 gaih_inet (libc.so.6)#012#61 0x00000000b7bf7690 __GI_getaddrinfo (libc.so.6)#012#62 0x00000000b72e6585 getclnthandle (libtirpc.so.3)#012#63 0x00000000b72e712e __rpcb_findaddr_timed (libtirpc.so.3)

#0  0xb7b76586 in __GI_getaddrinfo (name=0x206deb0 "subdomain.ourdomain.edu", service=0xb7277f03 "sunrpc", hints=0xbf65a57c, pai=0xbf65a55c) at ../sysdeps/posix/getaddrinfo.c:2161
2161


BTW any reason why this messages shows up when they are all installed?	{
Missing separate debuginfos, use: dnf debuginfo-install iptables-libs-1.6.2-3.fc28.i686 krb5-libs-1.16.1-2.fc28.i686 libgcc-8.1.1-1.fc28.i686 libtirpc-1.0.3-1.rc1.fc28.i686 zlib-1.2.11-8.fc28.i686
Comment 4 Zbigniew Jędrzejewski-Szmek 2018-05-10 14:18:01 EDT
Maybe I'm reading this wrong, but I don't see myhostname involved here. I see infinite recursion in nss_nis:

#0  0xb7b6b77d in _IO_vfprintf_internal (s=0xbf01a38c, format=0xb731559c "%s/%s.%u", ap=0xbf01a4d4 "\214U1\267 \320\061\267\003")
    at vfprintf.c:1244
#1  0xb7c164ed in ___vsnprintf_chk (s=0xbf01a4e0 "", maxlen=<optimized out>, flags=1, slen=4294967295, format=0xb731559c "%s/%s.%u", 
    args=0xbf01a4d4 "\214U1\267 \320\061\267\003") at vsnprintf_chk.c:63
#2  0xb7c16414 in ___snprintf_chk (s=0xbf01a4e0 "", maxlen=41, flags=1, slen=4294967295, format=0xb731559c "%s/%s.%u") at snprintf_chk.c:34
#3  0xb7309922 in snprintf (__fmt=0xb731559c "%s/%s.%u", __n=41, __s=0xbf01a4e0 "") at /usr/include/bits/stdio2.h:64
#4  yp_bind_file (ysd=0x2ec44e0, domain=0xb731d020 <ypdomainname> "divscimath") at do_ypcall.c:99
#5  __yp_bind (domain=domain@entry=0xb731d020 <ypdomainname> "divscimath", ypdb=ypdb@entry=0xbf01a5b8) at do_ypcall.c:271
#6  0xb7309d2e in __yp_bind (ypdb=0xbf01a5b8, domain=0xb731d020 <ypdomainname> "divscimath") at do_ypcall.c:425
#7  do_ypcall (domain=0xb731d020 <ypdomainname> "divscimath", prog=3, xargs=0xb7308980 <xdr_ypreq_key>, 
    req=0xbf01a64c " \320\061\267\307\232\062\267\023", xres=0xb7308b40 <xdr_ypresp_val>, resp=0xbf01a640 "") at do_ypcall.c:425
#8  0xb7309ec2 in do_ypcall_tr (domain=0xb731d020 <ypdomainname> "divscimath", prog=3, xargs=0xb7308980 <xdr_ypreq_key>, 
    req=0xbf01a64c " \320\061\267\307\232\062\267\023", xres=0xb7308b40 <xdr_ypresp_val>, resp=0xbf01a640) at do_ypcall.c:457
#9  0xb730a8e9 in yp_match (indomain=0xb731d020 <ypdomainname> "divscimath", inmap=0xb7329ac7 "hosts.byname", 
    inkey=0xbf01a6a0 "dsm.dsm.fordham.edu", inkeylen=19, outval=0xbf01a6e4, outvallen=0xbf01a6e8) at yp_match.c:48
#10 0xb73236f4 in internal_gethostbyname2_r (name=0x2ebfbc0 "dsm.dsm.fordham.edu", af=10, host=0xbf01a808, buffer=0xbf01aa70 "", 
    buflen=<optimized out>, errnop=<optimized out>, h_errnop=<optimized out>, flags=<optimized out>) at nis-hosts.c:290
#11 0xb7bee864 in gaih_inet (name=<optimized out>, name@entry=0x2ebfbc0 "dsm.dsm.fordham.edu", service=<optimized out>, 
    req=req@entry=0xbf01af0c, pai=<optimized out>, naddrs=<optimized out>, tmpbuf=<optimized out>) at ../sysdeps/posix/getaddrinfo.c:853
#12 0xb7bef690 in __GI_getaddrinfo (name=<optimized out>, service=<optimized out>, hints=0xbf01af0c, pai=0xbf01aeec)
    at ../sysdeps/posix/getaddrinfo.c:2254
#13 0xb72de585 in getclnthandle (host=host@entry=0x2ebfbc0 "dsm.dsm.fordham.edu", nconf=nconf@entry=0x2216b00, 
    targaddr=targaddr@entry=0xbf01afc0) at rpcb_clnt.c:369
#14 0xb72df12e in __rpcb_findaddr_timed (program=100004, version=2, nconf=0x2216b00, host=0x2ebfbc0 "dsm.dsm.fordham.edu", clpp=0xbf01b028, 
    tp=0xb7304034 <tottimeout>) at rpcb_clnt.c:886
#15 0xb72d71a7 in clnt_tp_create_timed (hostname=0x2ebfbc0 "dsm.dsm.fordham.edu", prog=<optimized out>, vers=<optimized out>, 
    nconf=0x2216b00, tp=0x0) at clnt_generic.c:278
#16 0xb72d7373 in clnt_create_timed (hostname=0x2ebfbc0 "dsm.dsm.fordham.edu", prog=100004, vers=2, netclass=0xb7315548 "udp", tp=0x0)
    at clnt_generic.c:200
#17 0xb72d76ea in clnt_create (hostname=0x2ebfbc0 "dsm.dsm.fordham.edu", prog=100004, vers=2, nettype=0xb7315548 "udp") at clnt_generic.c:152
#18 0xb7309292 in yp_bind_client_create_v3 (domain=domain@entry=0xb731d020 <ypdomainname> "divscimath", ysd=ysd@entry=0x2ec3130, 
    ypb3=ypb3@entry=0xbf01b1d0) at do_ypcall.c:74
#19 0xb73099b7 in yp_bind_file (ysd=0x2ec3130, domain=0xb731d020 <ypdomainname> "divscimath") at do_ypcall.c:119
#20 __yp_bind (domain=domain@entry=0xb731d020 <ypdomainname> "divscimath", ypdb=ypdb@entry=0xbf01b248) at do_ypcall.c:271
#21 0xb7309d2e in __yp_bind (ypdb=0xbf01b248, domain=0xb731d020 <ypdomainname> "divscimath") at do_ypcall.c:425
#22 do_ypcall (domain=0xb731d020 <ypdomainname> "divscimath", prog=3, xargs=0xb7308980 <xdr_ypreq_key>, 
    req=0xbf01b2dc " \320\061\267\307\232\062\267\023", xres=0xb7308b40 <xdr_ypresp_val>, resp=0xbf01b2d0 "") at do_ypcall.c:425
#23 0xb7309ec2 in do_ypcall_tr (domain=0xb731d020 <ypdomainname> "divscimath", prog=3, xargs=0xb7308980 <xdr_ypreq_key>, 
    req=0xbf01b2dc " \320\061\267\307\232\062\267\023", xres=0xb7308b40 <xdr_ypresp_val>, resp=0xbf01b2d0) at do_ypcall.c:457
#24 0xb730a8e9 in yp_match (indomain=0xb731d020 <ypdomainname> "divscimath", inmap=0xb7329ac7 "hosts.byname", 
    inkey=0xbf01b330 "dsm.dsm.fordham.edu", inkeylen=19, outval=0xbf01b374, outvallen=0xbf01b378) at yp_match.c:48
#25 0xb73236f4 in internal_gethostbyname2_r (name=0x2ebf820 "dsm.dsm.fordham.edu", af=10, host=0xbf01b498, buffer=0xbf01b700 "", 
    buflen=<optimized out>, errnop=<optimized out>, h_errnop=<optimized out>, flags=<optimized out>) at nis-hosts.c:290
#26 0xb7bee864 in gaih_inet (name=<optimized out>, name@entry=0x2ebf820 "dsm.dsm.fordham.edu", service=<optimized out>, 
    req=req@entry=0xbf01bb9c, pai=<optimized out>, naddrs=<optimized out>, tmpbuf=<optimized out>) at ../sysdeps/posix/getaddrinfo.c:853
#27 0xb7bef690 in __GI_getaddrinfo (name=<optimized out>, service=<optimized out>, hints=0xbf01bb9c, pai=0xbf01bb7c)
    at ../sysdeps/posix/getaddrinfo.c:2254
...
#39102 0xb7bef690 in __GI_getaddrinfo (name=<optimized out>, service=<optimized out>, hints=0xbf8190ec, pai=0xbf8190cc) at ../sysdeps/posix/getaddrinfo.c:2254
#39103 0xb72de585 in getclnthandle (host=host@entry=0x22230d0 "dsm.dsm.fordham.edu", nconf=nconf@entry=0x2216b00, targaddr=targaddr@entry=0xbf8191a0) at rpcb_clnt.c:369
#39104 0xb72df12e in __rpcb_findaddr_timed (program=100004, version=2, nconf=0x2216b00, host=0x22230d0 "dsm.dsm.fordham.edu", clpp=0xbf819208, tp=0xb7304034 <tottimeout>) at rpcb_clnt.c:886
#39105 0xb72d71a7 in clnt_tp_create_timed (hostname=0x22230d0 "dsm.dsm.fordham.edu", prog=<optimized out>, vers=<optimized out>, nconf=0x2216b00, tp=0x0) at clnt_generic.c:278
#39106 0xb72d7373 in clnt_create_timed (hostname=0x22230d0 "dsm.dsm.fordham.edu", prog=100004, vers=2, netclass=0xb7315548 "udp", tp=0x0) at clnt_generic.c:200
#39107 0xb72d76ea in clnt_create (hostname=0x22230d0 "dsm.dsm.fordham.edu", prog=100004, vers=2, nettype=0xb7315548 "udp") at clnt_generic.c:152
#39108 0xb7309292 in yp_bind_client_create_v3 (domain=domain@entry=0xb731d020 <ypdomainname> "divscimath", ysd=ysd@entry=0x221f7a0, ypb3=ypb3@entry=0xbf8193b0) at do_ypcall.c:74
#39109 0xb73099b7 in yp_bind_file (ysd=0x221f7a0, domain=0xb731d020 <ypdomainname> "divscimath") at do_ypcall.c:119
#39110 __yp_bind (domain=domain@entry=0xb731d020 <ypdomainname> "divscimath", ypdb=ypdb@entry=0xbf819428) at do_ypcall.c:271
#39111 0xb7309d2e in __yp_bind (ypdb=0xbf819428, domain=0xb731d020 <ypdomainname> "divscimath") at do_ypcall.c:425
#39112 do_ypcall (domain=0xb731d020 <ypdomainname> "divscimath", prog=3, xargs=0xb7308980 <xdr_ypreq_key>, req=0xbf8194bc " \320\061\267$\235\062\267\006", xres=0xb7308b40 <xdr_ypresp_val>, resp=0xbf8194b0 "") at do_ypcall.c:425
#39113 0xb7309ec2 in do_ypcall_tr (domain=0xb731d020 <ypdomainname> "divscimath", prog=3, xargs=0xb7308980 <xdr_ypreq_key>, req=0xbf8194bc " \320\061\267$\235\062\267\006", xres=0xb7308b40 <xdr_ypresp_val>, resp=0xbf8194b0) at do_ypcall.c:457
#39114 0xb730a8e9 in yp_match (indomain=0xb731d020 <ypdomainname> "divscimath", inmap=0xb7329d24 "passwd.byname", inkey=0x22257df "kudyba", inkeylen=6, outval=0xbf81953c, outvallen=0xbf819540) at yp_match.c:48
#39115 0xb7327163 in _nss_nis_getpwnam_r (name=0x22257df "kudyba", pwd=0xb7cc2ce0 <resbuf>, buffer=0x221e4a0 "nfsnobody", buflen=1024, errnop=0xb7343780) at nis-pwd.c:423
#39116 0xb7bcd56e in __getpwnam_r (name=<optimized out>, resbuf=<optimized out>, buffer=<optimized out>, buflen=<optimized out>, result=<optimized out>) at ../nss/getXXbyYY_r.c:315
#39117 0xb7bccfd9 in getpwnam (name=0x22257df "kudyba") at ../nss/getXXbyYY.c:153
#39118 0xb7e1362b in get_user_creds (username=0xbf8196cc, uid=0xbf8196d4, gid=0xbf8196d8, home=0x0, shell=0x0) at ../src/basic/user-util.c:171
#39119 0x004ceb78 in manager_add_user_by_name (m=0x22143b0, name=<optimized out>, _user=0x0) at ../src/login/logind-core.c:128
#39120 0x004cb8ac in manager_enumerate_linger_users (m=0x22143b0) at ../src/login/logind.c:361
#39121 manager_enumerate_users (m=0x22143b0) at ../src/login/logind.c:379
#39122 manager_startup (m=0x22143b0) at ../src/login/logind.c:1144
#39123 main () at ../src/login/logind.c:1253
#39124 0xb7b3b1b1 in __libc_start_main (main=0x4cacd0 <main>, argc=1, argv=0xbf819884, init=0x4eae80 <__libc_csu_init>, fini=0x4eaee0 <__libc_csu_fini>, rtld_fini=0xb7f971e0 <_dl_fini>, stack_end=0xbf81987c) at ../csu/libc-start.c:308
#39125 0x004cd668 in _start () at ../src/login/logind.c:952

internal_gethostbyname2_r() calls yp_match() which ... eventually calls getclnthandle() in rpcb_clnt.c which calls getaddrinfo which calls internal_gethostbyname2_r().
This doesn't seem right, nis modules cannot do operations which recurse into another nis module.
I'll reassign this to glibc for comments.
Comment 5 Zbigniew Jędrzejewski-Szmek 2018-05-10 14:19:34 EDT
> BTW any reason why this messages shows up when they are all installed?
> Missing separate debuginfos ...
They show up if the version of debuginfo you have installed does not match the rpm of the binary that crashed.
Comment 6 Zbigniew Jędrzejewski-Szmek 2018-05-10 14:21 EDT
Created attachment 1434500 [details]
bt from the attached coredump "1433991: sample coredump"
Comment 7 Florian Weimer 2018-05-10 14:44:42 EDT
Shouldn't this be reassigned to nss_nis?  The NIS code has been moved to a separate package.
Comment 8 Zbigniew Jędrzejewski-Szmek 2018-05-10 15:15:17 EDT
Indeed.
Comment 9 RobbieTheK 2018-05-10 16:33:04 EDT
I just added as possible related BZ 1575297
Comment 10 RobbieTheK 2018-05-10 16:46:02 EDT
Looks related: https://github.com/systemd/systemd/issues/7074
Comment 11 Leif Hedstrom 2018-07-16 23:47:21 EDT
Is there a solution to this? I tried uncommenting those lines suggested in the other BZ, but it did not solve my problems. Every time I ssh to the boxes upgraded to F28 (running ypbind), the login hangs for a noticeable amount of time, until the watchdog kills it. And I see the following in my logs:

Jul 16 23:43:51 localhost audit[4025]: ANOM_ABEND auid=4294967295 uid=0 gid=0 ses=4294967295 pid=4025 comm="systemd-logind" exe="/usr/lib/syst
emd/systemd-logind" sig=6 res=1
Jul 16 23:43:51 localhost kernel: audit: type=1701 audit(1531799031.089:543): auid=4294967295 uid=0 gid=0 ses=4294967295 pid=4025 comm="system
d-logind" exe="/usr/lib/systemd/systemd-logind" sig=6 res=1
Jul 16 23:43:51 localhost systemd[1]: Started Process Core Dump (PID 4248/UID 0).
Jul 16 23:43:51 localhost audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-coredump@3-4248-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jul 16 23:43:51 localhost kernel: audit: type=1130 audit(1531799031.149:544): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-coredump@3-4248-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jul 16 23:43:52 localhost audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-logind comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Jul 16 23:43:52 localhost systemd[1]: systemd-logind.service: Main process exited, code=dumped, status=6/ABRT
Jul 16 23:43:52 localhost systemd[1]: systemd-logind.service: Failed with result 'watchdog'.
Jul 16 23:43:52 localhost systemd[1]: systemd-logind.service: Service has no hold-off time, scheduling restart.
Jul 16 23:43:52 localhost systemd[1]: systemd-logind.service: Scheduled restart job, restart counter is at 4.
Jul 16 23:43:52 localhost systemd[1]: Stopped Login Service.
Jul 16 23:43:52 localhost systemd[1]: Starting Login Service...
Jul 16 23:43:52 localhost audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-logind comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'


After the restart, the login goes through, but next login experiences the same crasher.
Comment 12 Leif Hedstrom 2018-07-17 00:44:47 EDT
Update: Uncommenting these lines seems to at least workaround the problem:

#-session    optional                                     pam_systemd.so

I did this in both /etc/pam.d/password-auth and /etc/pam.d/system-auth
Comment 13 Leif Hedstrom 2018-07-17 00:46:08 EDT
I meant, comment out the line, as shown above.
Comment 14 Francesco Simula 2018-07-26 05:27:32 EDT
(In reply to Leif Hedstrom from comment #13)
> I meant, comment out the line, as shown above.

This does not work for me; on the contrary, commenting those lines makes GDM crash loop as well:

lug 26 11:19:30 storape2 /usr/libexec/gdm-wayland-session[1496]: dbus-daemon[1498]: [session uid=42 pid=1498] Activating service name='org.freedesktop.systemd1' requested by ':1.0' (uid=42 pid=1496 comm="/usr/libexec/gdm-wayland-session gnome-session --a" label="system_u:system_r:xdm_t:s0-s0:c0.c1023")
lug 26 11:19:30 storape2 /usr/libexec/gdm-wayland-session[1496]: dbus-daemon[1498]: [session uid=42 pid=1498] Activated service 'org.freedesktop.systemd1' failed: Process org.freedesktop.systemd1 exited with status 1
lug 26 11:19:30 storape2 /usr/libexec/gdm-wayland-session[1496]: Unable to register display with display manager
lug 26 11:19:30 storape2 audit[1492]: USER_END pid=1492 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:session_close grantors=pam_keyinit,pam_keyinit,pam_limits,pam_unix,pam_umask acct="gdm" exe="/usr/libexec/gdm-session-worker" hostname=storape2 addr=? terminal=/dev/tty1 res=success'
lug 26 11:19:30 storape2 audit[1492]: CRED_DISP pid=1492 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_permit acct="gdm" exe="/usr/libexec/gdm-session-worker" hostname=storape2 addr=? terminal=/dev/tty1 res=success'
lug 26 11:19:30 storape2 gdm-launch-environment][1492]: pam_unix(gdm-launch-environment:session): session closed for user gdm
lug 26 11:19:30 storape2 gdm[1373]: Child process -1496 was already dead.
lug 26 11:19:30 storape2 gdm[1373]: Child process 1492 was already dead.
lug 26 11:19:30 storape2 systemd[1]: Received SIGRTMIN+21 from PID 313 (plymouthd).
lug 26 11:19:30 storape2 gdm[1373]: Unable to kill session worker process

lug 26 11:19:30 storape2 gdm-launch-environment][1507]: pam_unix(gdm-launch-environment:session): session opened for user gdm by (uid=0)
lug 26 11:19:30 storape2 audit[1507]: USER_START pid=1507 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:session_open grantors=pam_keyinit,pam_keyinit,pam_limits,pam_unix,pam_umask acct="gdm" exe="/usr/libexec/gdm-session-worker" hostname=storape2 addr=? terminal=/dev/tty1 res=success'
lug 26 11:19:30 storape2 /usr/libexec/gdm-wayland-session[1511]: dbus-daemon[1514]: [session uid=42 pid=1514] Activating service name='org.freedesktop.systemd1' requested by ':1.0' (uid=42 pid=1511 comm="/usr/libexec/gdm-wayland-session gnome-session --a" label="system_u:system_r:xdm_t:s0-s0:c0.c1023")
lug 26 11:19:30 storape2 /usr/libexec/gdm-wayland-session[1511]: dbus-daemon[1514]: [session uid=42 pid=1514] Activated service 'org.freedesktop.systemd1' failed: Process org.freedesktop.systemd1 exited with status 1
lug 26 11:19:30 storape2 /usr/libexec/gdm-wayland-session[1511]: Unable to register display with display manager
lug 26 11:19:30 storape2 gdm-launch-environment][1507]: pam_unix(gdm-launch-environment:session): session closed for user gdm
lug 26 11:19:30 storape2 audit[1507]: USER_END pid=1507 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:session_close grantors=pam_keyinit,pam_keyinit,pam_limits,pam_unix,pam_umask acct="gdm" exe="/usr/libexec/gdm-session-worker" hostname=storape2 addr=? terminal=/dev/tty1 res=success'
lug 26 11:19:30 storape2 audit[1507]: CRED_DISP pid=1507 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_permit acct="gdm" exe="/usr/libexec/gdm-session-worker" hostname=storape2 addr=? terminal=/dev/tty1 res=success'
lug 26 11:19:30 storape2 gdm[1373]: Child process -1511 was already dead.
lug 26 11:19:30 storape2 gdm[1373]: Child process 1507 was already dead.
lug 26 11:19:30 storape2 gdm[1373]: Unable to kill session worker process
lug 26 11:19:30 storape2 audit[1521]: USER_AUTH pid=1521 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:authentication grantors=pam_permit acct="gdm" exe="/usr/libexec/gdm-session-worker" hostname=storape2 addr=? terminal=/dev/tty1 res=success'
lug 26 11:19:30 storape2 audit[1521]: USER_ACCT pid=1521 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:accounting grantors=pam_permit acct="gdm" exe="/usr/libexec/gdm-session-worker" hostname=storape2 addr=? terminal=/dev/tty1 res=success'
lug 26 11:19:30 storape2 audit[1521]: CRED_ACQ pid=1521 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_permit acct="gdm" exe="/usr/libexec/gdm-session-worker" hostname=storape2 addr=? terminal=/dev/tty1 res=success'
lug 26 11:19:30 storape2 gdm-launch-environment][1521]: pam_unix(gdm-launch-environment:session): session opened for user gdm by (uid=0)
lug 26 11:19:30 storape2 audit[1521]: USER_START pid=1521 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:session_open grantors=pam_keyinit,pam_keyinit,pam_limits,pam_unix,pam_umask acct="gdm" exe="/usr/libexec/gdm-session-worker" hostname=storape2 addr=? terminal=/dev/tty1 res=success'
lug 26 11:19:30 storape2 /usr/libexec/gdm-wayland-session[1524]: dbus-daemon[1526]: [session uid=42 pid=1526] Activating service name='org.freedesktop.systemd1' requested by ':1.0' (uid=42 pid=1524 comm="/usr/libexec/gdm-wayland-session gnome-session --a" label="system_u:system_r:xdm_t:s0-s0:c0.c1023")
lug 26 11:19:30 storape2 /usr/libexec/gdm-wayland-session[1524]: dbus-daemon[1526]: [session uid=42 pid=1526] Activated service 'org.freedesktop.systemd1' failed: Process org.freedesktop.systemd1 exited with status 1
lug 26 11:19:30 storape2 /usr/libexec/gdm-wayland-session[1524]: Unable to register display with display manager
lug 26 11:19:30 storape2 gdm-launch-environment][1521]: pam_unix(gdm-launch-environment:session): session closed for user gdm

and so on and on...
Comment 16 Francesco Simula 2018-07-26 11:43:50 EDT
(In reply to RobbieTheK from comment #15)
> have a look at https://bugzilla.redhat.com/show_bug.cgi?id=1575297#c16 and
> https://bugzilla.redhat.com/show_bug.cgi?id=1575297#c17

Thank you for the heads-up but I did already; I'm already following that thread and I used the suggestions to make NIS working again (more or less...) on Fedora 28.

I usually manage the boxes via SSH - which keeps working, albeit more slowly since this systemd-logind crash-loop starts, which should have tipped me off - and I didn't notice that graphical login is actually impossible on them.

I think this behaviour was triggered by some update performed on July 24th, but on packages that seem to be completely uncorrelated with authentication, GDM, login or whatever.
Comment 17 Francesco Simula 2018-07-26 11:47:40 EDT
(In reply to Francesco Simula from comment #16)
> (In reply to RobbieTheK from comment #15)
> > have a look at https://bugzilla.redhat.com/show_bug.cgi?id=1575297#c16 and
> > https://bugzilla.redhat.com/show_bug.cgi?id=1575297#c17
> 
> Thank you for the heads-up but I did already; I'm already following that
> thread and I used the suggestions to make NIS working again (more or
> less...) on Fedora 28.
> 
> I usually manage the boxes via SSH - which keeps working, albeit more slowly
> since this systemd-logind crash-loop starts, which should have tipped me off
> - and I didn't notice that graphical login is actually impossible on them.
> 
> I think this behaviour was triggered by some update performed on July 24th,
> but on packages that seem to be completely uncorrelated with authentication,
> GDM, login or whatever.

OK, you were right; the update of the systemd-udev package reversed the IPAddressDeny=any comment fix...
Comment 18 RobbieTheK 2018-07-26 11:58:20 EDT
(In reply to Francesco Simula from comment #17)
> (In reply to Francesco Simula from comment #16)
> > (In reply to RobbieTheK from comment #15)
> > > have a look at https://bugzilla.redhat.com/show_bug.cgi?id=1575297#c16 and
> > > https://bugzilla.redhat.com/show_bug.cgi?id=1575297#c17
> > 
> > Thank you for the heads-up but I did already; I'm already following that
> > thread and I used the suggestions to make NIS working again (more or
> > less...) on Fedora 28.
> > 
> > I usually manage the boxes via SSH - which keeps working, albeit more slowly
> > since this systemd-logind crash-loop starts, which should have tipped me off
> > - and I didn't notice that graphical login is actually impossible on them.
> > 
> > I think this behaviour was triggered by some update performed on July 24th,
> > but on packages that seem to be completely uncorrelated with authentication,
> > GDM, login or whatever.
> 
> OK, you were right; the update of the systemd-udev package reversed the
> IPAddressDeny=any comment fix...

(In reply to Francesco Simula from comment #16)
> (In reply to RobbieTheK from comment #15)
> > have a look at https://bugzilla.redhat.com/show_bug.cgi?id=1575297#c16 and
> > https://bugzilla.redhat.com/show_bug.cgi?id=1575297#c17
> 
> Thank you for the heads-up but I did already; I'm already following that
> thread and I used the suggestions to make NIS working again (more or
> less...) on Fedora 28.
> 
> I usually manage the boxes via SSH - which keeps working, albeit more slowly
> since this systemd-logind crash-loop starts, which should have tipped me off
> - and I didn't notice that graphical login is actually impossible on them.
> 
> I think this behaviour was triggered by some update performed on July 24th,
> but on packages that seem to be completely uncorrelated with authentication,
> GDM, login or whatever.

Note that there is a nasty GDM bug here: https://gitlab.gnome.org/GNOME/gnome-shell/issues/1

But that doesn't sound like your issue. I noted some error messages at https://bugzilla.redhat.com/show_bug.cgi?id=1607992
Comment 19 Francesco Simula 2018-08-23 11:17:50 EDT
It seems part of the problem is addressed here:
https://bodhi.fedoraproject.org/updates/FEDORA-2018-78f95660f9
with a fix in the nss_nis package.

Reverting the patch on the /usr/lib/systemd/system/systemd-logind.service file and installing the updated nss_nis package appears to work here - I didn't try reversing also the patch /usr/lib/systemd/system/systemd-udevd.service, though...
Comment 20 f.pasquarelli 2018-09-20 06:08:19 EDT
The path is ok for the login problem, but the problem persists for udev. Indeed the nss_nis rpm create only /usr/lib/systemd/system/systemd-logind.service.d/nss_nis.conf that solve the login problem. 

Franco

Note You need to log in before you can comment on or make changes to this bug.